/*
 * GreometricalObject.java
 *
 * Created on 26. Mai 2006, 12:35
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package java2d1;

import java.awt.Paint;
import java.awt.Shape;
import java.awt.Stroke;
import java.awt.geom.AffineTransform;

/**
 * Ein GeometricObject kapselt ein zu zeichnendes Objekt
 * einschliel. Geometrie (Shape), Fllfarbe und Transformation (Position, Orientierung) 
 *
 * @author arnd
 */
public class GeometricObject {
    private Shape shape;
    private Paint paint;
    private AffineTransform transform;
    
    /** Creates a new instance of GreometricalObject */
    public GeometricObject(Shape s, Paint p, AffineTransform at) {
        setShape(s);
        setPaint(p);
        setTransform(at);
    }
    

    public Shape getShape() {
        return shape;
    }

    public void setShape(Shape shape) {
        this.shape = shape;
    }

    public Paint getPaint() {
        return paint;
    }

    public void setPaint(Paint paint) {
        this.paint = paint;
    }

    public AffineTransform getTransform() {
        return transform;
    }

    public void setTransform(AffineTransform transform) {
        this.transform = transform;
    }    

    
}
